# GetPendingAccounts

Get the live accounts pending Autotrade approval. Non-paginated endpoint.

Endpoint: GET /Autotrade/GetPendingAccounts
Version: v4
Security: 

## Query parameters:

  - `WhiteLabelSiteId` (integer,null)
    (optional) The WhiteLabelSiteId

  - `GeoSite` (string)
    (optional) The GeoSite

  - `BrokerId` (integer,null)
    (optional) The BrokerId

  - `SecurityType` (string)
    (optional) SecurityType filter. e.g. Stocks = 'CS', Futures = 'FUT', Options = 'OPT', Forex = 'FOR'

## Response 200 fields (application/json):

  - `Results` (array,null)
    Result array

  - `Results.Id` (integer)
    The record ID

  - `Results.Status` (string,null)
    The broker authorization status of the account. "Pending" means the account is awaiting broker authorization. "Declined" means the broker declined the authorization request within the last 90 days; declined accounts are reported for 90 days after the decline. When an account is resubmitted after a decline, it appears once with its current status. Currently populated on the WhiteLabel API; absent means the interface did not evaluate decline state.

  - `Results.DeclinedUTC` (string,null)
    The UTC date/time of the most recent broker decline. Only present when "Status" is "Declined".

  - `Results.UtcDate` (string,null)
    The UTC date/time of the last strategy update.

  - `Results.Account` (string,null)
    The Brokerage Account

  - `Results.PersonId` (integer,null)
    The C2 PersonId

  - `Results.BrokerName` (string,null)
    The broker name

  - `Results.BrokerId` (integer,null)
    The broker ID

  - `Results.FirstName` (string,null)
    The FirstName. Not case-sensitive

  - `Results.LastName` (string,null)
    The FirstName. Not case-sensitive

  - `Results.Email` (string,null)
    The Email

  - `Results.Country` (string,null)
    The person's country code

  - `Results.State` (string,null)
    The person's division (usually the state) code

  - `Results.Language` (string,null)
    The person's preferred language

  - `Results.WhiteLabelSiteId` (integer,null)
    The White Label SiteId

  - `Results.GeoSiteId` (string,null)
    The account GeoSite

  - `Results.SiteDomain` (string,null)
    The White-Label site base URL, if any

  - `Results.Connection` (string,null)
    The API client platform name

  - `Results.IntroducingBrokerId` (integer,null)
    The introducing broker ID

  - `Results.IntroducingBroker` (string,null)
    The introducing broker name

  - `Results.StrategyId` (integer)
    The Strategy ID

  - `Results.StrategyName` (string,null)
    The Strategy name

  - `Results.SalesRepId` (integer)
    The sales rep ID

  - `Results.SalesRep` (string,null)
    The sales rep name

  - `Results.IsTradeLeader` (boolean)
    TRUE if this is a BrokerTransmit setup

  - `Results.FirstBrokerActivationDate` (string,null)
    The first date when the account was activated by the broker

  - `Results.NetLiquidationValue` (number,null)
    Last known account net liquidation value. Not available at all brokers

  - `Results.NetLiquidationValueDate` (string,null)
    UTC date of last known account net liquidation value

  - `Results.EnabledFutures` (boolean)
    TRUE if futures are enabled for Autotrade

  - `Results.EnabledForex` (boolean)
    TRUE if forex are enabled for Autotrade

  - `Results.EnabledStocks` (boolean)
    TRUE if stocks are enabled for Autotrade

  - `Results.EnabledOptions` (boolean)
    TRUE if options are enabled for Autotrade

  - `ResponseStatus` (object)

  - `ResponseStatus.ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `ResponseStatus.Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `ResponseStatus.Errors` (array,null)

  - `ResponseStatus.Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `ResponseStatus.Errors.FieldName` (string,null)
    The affected parameter.

  - `ResponseStatus.Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 400 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 401 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 403 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 404 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 406 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 409 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 429 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 500 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.

## Response 503 fields (application/json):

  - `ErrorCode` (string,null)
    The HTTP error code. Please see https://api-docs.collective2.com/guides/error-codes#http-errors.

  - `Message` (string,null)
    The human-readable meaning of the ErrorCode.

  - `Errors` (array,null)

  - `Errors.ErrorCode` (string,null)
    The C2 error code. Please see https://api-docs.collective2.com/guides/error-codes#c2-errors.

  - `Errors.FieldName` (string,null)
    The affected parameter.

  - `Errors.Message` (string,null)
    More details about the ErrorCode.


## Response 304 fields
